<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Todo</title>
    </head>
    <body>
        <h1>Todo</h1>
        <p>
            Welcome, {{ user }}.
            <a href="{% url 'todo_app:completed_todos' %}">Completed Todos</a> --
            <a href="{% url 'login_app:logout' %}">Log out</a>
        </p>
        <hr />
        <ul>
            {% for todo in todos %}
            <li>
                <form action="{% url 'todo_app:change_status' %}" method="POST">
                    {% csrf_token %}
                    <input type="checkbox" name="checked" {% if todo.status %}checked{% endif %} />
                    <input type="hidden" name="pk" value="{{ todo.pk }}" />
                    <button>Update</button>
                    <button formaction="{% url 'todo_app:delete_todo' %}">Delete</button>
                    {{ todo.text }}
                </form>
            </li>
            {% endfor %}
        </ul>
        <hr />
        <form action="." method="POST">
            {% csrf_token %}
            <input type="text" name="text" placeholder="Add todo here" />
            <button>Create Todo</button>
        </form>
    </body>
</html>

